# Uses of Interface
ch.qos.logback.core.util.DelayStrategy

Packages that use DelayStrategy
Package
Description
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.
ch.qos.logback.core.util
Contains various utility classes.

## Uses of DelayStrategy in ch.qos.logback.core.net

Constructors in ch.qos.logback.core.net with parameters of type DelayStrategy
Modifier
Constructor
Description
``
`DefaultSocketConnector(InetAddress address, int port, DelayStrategy delayStrategy)`
Constructs a new connector.

## Uses of DelayStrategy in ch.qos.logback.core.util

Classes in ch.qos.logback.core.util that implement DelayStrategy
Modifier and Type
Class
Description
`class`
`FixedDelay`
A default `DelayStrategy` that implements a simple fixed delay.